package com.cn.esermis.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cn.esermis.dpld.entity.PreMarking;
import com.cn.esermis.dpld.model.AjaxResult;
import com.cn.esermis.dpld.model.PreMarkingVo;
import com.cn.esermis.dpld.service.IPreMarkingService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/pre_marking")
public class PreMarkingController {

    @Resource
    private IPreMarkingService preMarkingService;

    @PostMapping("/add")
    public Object add(@RequestBody PreMarking preMarking) {
        preMarkingService.save(preMarking);
        return AjaxResult.success("success");
    }

    @GetMapping("/del")
    public Object del(String id) {
        preMarkingService.removeById(id);
        return AjaxResult.success("success");
    }

    @PostMapping("/edit")
    public Object edit(@RequestBody PreMarking preMarking) {
        preMarkingService.updateById(preMarking);
        return AjaxResult.success("success");
    }

    @GetMapping("/getInfo")
    public Object getInfo(String id) {
        return AjaxResult.success(preMarkingService.getById(id));
    }

    @GetMapping("/list")
    public Object list(PreMarkingVo vo) {
        IPage<PreMarking> page = new Page<>(vo.getPageNum(), vo.getPageSize());
        return AjaxResult.success(preMarkingService.page(page,new QueryWrapper<>(vo)));
    }

}
