package com.cn.esermis.datawarn.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cn.esermis.datawarn.entity.MonitoringFactor;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;

import java.math.BigDecimal;

@Mapper
public interface ExceedDataMapper extends BaseMapper<MonitoringFactor> {
//    @SelectProvider(type = ExceedDataSQL.class, method = "hoursAvg")
    @Select("select hours_avg from monitoring_factor where analytical_instrument_id in \n" +
            "        (select id from analytical_instruments where data_acquisition_instrument_id in\n" +
            "        (select id from data_acquisition_instrument where mn_code = #{mn})\n" +
            "        ) and factor = #{factor}")
    BigDecimal hoursAvg(@Param("mn") String mn, @Param("factor") String factor);
}
